GDCM 3.2.1

Public Member Functions | List of all members
gdcm::PGXCodec Class Reference

Class to do PGX. More...

`#include <gdcmPGXCodec.h>`

Inheritance diagram for gdcm::PGXCodec:
[legend]
Collaboration diagram for gdcm::PGXCodec:
[legend]

## Public Member Functions
| PGXCodec ()
| ~PGXCodec () override
bool | CanCode (TransferSyntax const &ts) const override
| Return whether this coder support this transfer syntax (can code it)
bool | CanDecode (TransferSyntax const &ts) const override
| Return whether this decoder support this transfer syntax (can decode it)
ImageCodec * | Clone () const override
bool | GetHeaderInfo (std::istream &is, TransferSyntax &ts) override
bool | Read (const char *filename, DataElement &out) const
bool | Write (const char *filename, const DataElement &out) const
Public Member Functions inherited from gdcm::ImageCodec
| ImageCodec ()
| ~ImageCodec () override
bool | CleanupUnusedBits (char *data, size_t datalen)
bool | Decode (DataElement const &is_, DataElement &os) override
| Decode.
const unsigned int * | GetDimensions () const
bool | GetLossyFlag () const
const LookupTable & | GetLUT () const
bool | GetNeedByteSwap () const
unsigned int | GetNumberOfDimensions () const
const PhotometricInterpretation & | GetPhotometricInterpretation () const
PixelFormat & | GetPixelFormat ()
const PixelFormat & | GetPixelFormat () const
unsigned int | GetPlanarConfiguration () const
bool | IsLossy () const
void | SetDimensions (const std::vector< unsigned int > &d)
void | SetDimensions (const unsigned int d[3])
void | SetLossyFlag (bool l)
void | SetLUT (LookupTable const &lut)
void | SetNeedByteSwap (bool b)
void | SetNeedOverlayCleanup (bool b)
void | SetNumberOfDimensions (unsigned int dim)
void | SetPhotometricInterpretation (PhotometricInterpretation const &pi)
virtual void | SetPixelFormat (PixelFormat const &pf)
void | SetPlanarConfiguration (unsigned int pc)
Public Member Functions inherited from gdcm::Coder
virtual | ~Coder ()=default
virtual bool | Code (DataElement const &in_, DataElement &out_)
| Code.
Public Member Functions inherited from gdcm::Decoder
virtual | ~Decoder ()=default

## Additional Inherited Members
Protected Types inherited from gdcm::ImageCodec
typedef SmartPointer< LookupTable > | LUTPtr
Protected Member Functions inherited from gdcm::ImageCodec
virtual bool | AppendFrameEncode (std::ostream &out, const char *data, size_t datalen)
virtual bool | AppendRowEncode (std::ostream &out, const char *data, size_t datalen)
bool | DecodeByStreams (std::istream &is_, std::ostream &os) override
bool | DoByteSwap (std::istream &is_, std::ostream &os)
bool | DoInvertMonochrome (std::istream &is_, std::ostream &os)
bool | DoOverlayCleanup (std::istream &is_, std::ostream &os)
bool | DoPaddedCompositePixelCode (std::istream &is_, std::ostream &os)
bool | DoPlanarConfiguration (std::istream &is_, std::ostream &os)
bool | DoSimpleCopy (std::istream &is_, std::ostream &os)
bool | DoYBR (std::istream &is_, std::ostream &os)
bool | DoYBRFull422 (std::istream &is_, std::ostream &os)
virtual bool | IsFrameEncoder ()
virtual bool | IsRowEncoder ()
virtual bool | IsValid (PhotometricInterpretation const &pi)
virtual bool | StartEncode (std::ostream &os)
virtual bool | StopEncode (std::ostream &os)
Protected Member Functions inherited from gdcm::Coder
virtual bool | InternalCode (const char *bv, unsigned long len, std::ostream &os)
Protected Attributes inherited from gdcm::ImageCodec
unsigned int | Dimensions [3]
bool | LossyFlag
LUTPtr | LUT
bool | NeedByteSwap
bool | NeedOverlayCleanup
unsigned int | NumberOfDimensions
PixelFormat | PF
PhotometricInterpretation | PI
unsigned int | PlanarConfiguration
bool | RequestPaddedCompositePixelCode
bool | RequestPlanarConfiguration

## Detailed Description

Class to do PGX.

See PGX as used in JPEG 2000 implementation and reference images

## Constructor & Destructor Documentation

## ◆ PGXCodec()

gdcm::PGXCodec::PGXCodec | ( |  | ) |

## ◆ ~PGXCodec()

gdcm::PGXCodec::~PGXCodec | ( |  | ) |
| override

## Member Function Documentation

## ◆ CanCode()

bool gdcm::PGXCodec::CanCode | ( | TransferSyntax const & |  | ) | const
| override virtual

Return whether this coder support this transfer syntax (can code it)

Reimplemented from gdcm::ImageCodec.

## ◆ CanDecode()

bool gdcm::PGXCodec::CanDecode | ( | TransferSyntax const & |  | ) | const
| override virtual

Return whether this decoder support this transfer syntax (can decode it)

Reimplemented from gdcm::ImageCodec.

## ◆ Clone()

ImageCodec * gdcm::PGXCodec::Clone | ( |  | ) | const
| override virtual

Implements gdcm::ImageCodec.

References gdcm::ImageCodec::ImageCodec().

## ◆ GetHeaderInfo()

bool gdcm::PGXCodec::GetHeaderInfo | ( | std::istream & | is,
|  | TransferSyntax & | ts )
| override virtual

Reimplemented from gdcm::ImageCodec.

## ◆ Read()

bool gdcm::PGXCodec::Read | ( | const char * | filename,
|  | DataElement & | out ) const

## ◆ Write()

bool gdcm::PGXCodec::Write | ( | const char * | filename,
|  | const DataElement & | out ) const

The documentation for this class was generated from the following file:

- gdcmPGXCodec.h